
-- Author: More Storage Capacity by BlackSheep-(RC-Devil)
-- Description: More storage capacity increases storage capacity to 2.5 mio.
-- Release Date: 08.03.2018


if not Utils.StorageFix4711 then
	Utils.StorageFix4711 = true;

local oldFunc = Storage.load;

Storage.load = function(self, id, ownsId)
    local oldCapacity = Utils.getNoNil( getUserAttribute(id, "capacityPerType"), 50000);
    self.rootNode = id;
    self.ownsRootNode = ownsId;
    self.storageName = Utils.getNoNil(getUserAttribute(id, "storageName"), "Storage");
	-- print(('\\____ Org Storage Capacity: %s'):format(oldCapacity));
	if oldCapacity == oldCapacity then
	self.capacity = oldCapacity + 2500000;
	-- print(('\\____ New Storage Capacity: %s'):format(self.capacity));
	else
	self.capacity = oldCapacity;
	-- print(('\\____ Own Storage Capacity: %s'):format(self.capacity));
	end;
    self.costsPerFillLevelAndDay = Utils.getNoNil( getUserAttribute(id, "costsPerFillLevelAndDay"), 0);
    self.fillTypes = {};
    self.sortedFillTypes = {};
    self.fillLevels = {};
    self.loadedValues = {}
    self.movingNode = Utils.indexToObject(id, getUserAttribute(id, "movingIndex"));
    if self.movingNode ~= nil then
        local minY, maxY = Utils.getVectorFromString(getUserAttribute(id, "moveMinMaxY"));
        local _,y,_ = getTranslation(self.movingNode);
        self.moveMinY = Utils.getNoNil(minY, y);
        self.moveMaxY = Utils.getNoNil(maxY, y);
    end
    self.saveId = Utils.getNoNil(getUserAttribute(id, "saveId"), "Storage_"..getName(id));
    self.storageDirtyFlag = self:getNextDirtyFlag();
	-- print(('\\____ Storage Capacity increased to: %s'):format(self.capacity));
    return true;
end
else
print("StorageFix: No Storages to find!");

end;
